CGI/Perl Guide | Learning Center | Forums | Advertise | Login
Site Search: in

  Main Index MAIN
INDEX
Search Posts SEARCH
POSTS
Who's Online WHO'S
ONLINE
Log in LOG
IN

Home: Perl Programming Help: Beginner:
Soap::Lite not installed

 



zak100
User

Aug 28, 2014, 11:07 AM

Post #1 of 19 (4595 views)
Soap::Lite not installed Can't Post

I am trying to install soap Lite but i got following errors:

Code
Compilation failed in require at D:\download\SOAPLITe\SOAP-Lite-1.11\bli 
AP/Test.pm line 42.
BEGIN failed--compilation aborted at D:\download\SOAPLITe\SOAP-Lite-1.11
b/SOAP/Test.pm line 42.
Compilation failed in require at t/13-mod_perl.t line 10.
BEGIN failed--compilation aborted at t/13-mod_perl.t line 10.
t/13-mod_perl.t ................ Dubious, test returned 2 (wstat 512, 0x
No subtests run
t/14-cgi_apache.t .............. Can't locate Class/Inspector.pm in @INC
ontains: D:\download\SOAPLITe\SOAP-Lite-1.11\blib\lib D:\download\SOAPLI
Lite-1.11\blib\arch C:/Perl64/site/lib C:/Perl64/lib .) at D:\download\S
SOAP-Lite-1.11\blib\lib/SOAP/Lite.pm line 433.
BEGIN failed--compilation aborted at D:\download\SOAPLITe\SOAP-Lite-1.11
b/SOAP/Lite.pm line 433.
Compilation failed in require at D:\download\SOAPLITe\SOAP-Lite-1.11\bli
AP/Test.pm line 42.
BEGIN failed--compilation aborted at D:\download\SOAPLITe\SOAP-Lite-1.11
b/SOAP/Test.pm line 42.
Compilation failed in require at t/14-cgi_apache.t line 10.
BEGIN failed--compilation aborted at t/14-cgi_apache.t line 10.
t/14-cgi_apache.t .............. Dubious, test returned 2 (wstat 512, 0x
No subtests run
t/15-daemon.t .................. Can't locate Class/Inspector.pm in @INC
ontains: D:\download\SOAPLITe\SOAP-Lite-1.11\blib\lib D:\download\SOAPLI
Lite-1.11\blib\arch C:/Perl64/site/lib C:/Perl64/lib .) at D:\download\S
SOAP-Lite-1.11\blib\lib/SOAP/Lite.pm line 433.
BEGIN failed--compilation aborted at D:\download\SOAPLITe\SOAP-Lite-1.11
b/SOAP/Lite.pm line 433.
Compilation failed in require at D:\download\SOAPLITe\SOAP-Lite-1.11\bli
AP/Test.pm line 42.
BEGIN failed--compilation aborted at D:\download\SOAPLITe\SOAP-Lite-1.11
b/SOAP/Test.pm line 42.
Compilation failed in require at t/15-daemon.t line 10.
BEGIN failed--compilation aborted at t/15-daemon.t line 10.
t/15-daemon.t .................. Dubious, test returned 2 (wstat 512, 0x
No subtests run
t/17-mod_soap.t ................ Can't locate Class/Inspector.pm in @INC
ontains: D:\download\SOAPLITe\SOAP-Lite-1.11\blib\lib D:\download\SOAPLI
Lite-1.11\blib\arch C:/Perl64/site/lib C:/Perl64/lib .) at D:\download\S
SOAP-Lite-1.11\blib\lib/SOAP/Lite.pm line 433.
BEGIN failed--compilation aborted at D:\download\SOAPLITe\SOAP-Lite-1.11
b/SOAP/Lite.pm line 433.
Compilation failed in require at D:\download\SOAPLITe\SOAP-Lite-1.11\bli
AP/Test.pm line 42.
BEGIN failed--compilation aborted at D:\download\SOAPLITe\SOAP-Lite-1.11
b/SOAP/Test.pm line 42.
Compilation failed in require at t/17-mod_soap.t line 10.
BEGIN failed--compilation aborted at t/17-mod_soap.t line 10.
t/17-mod_soap.t ................ Dubious, test returned 2 (wstat 512, 0x
No subtests run
t/19-apachesoap.t .............. Can't locate Class/Inspector.pm in @INC
ontains: D:\download\SOAPLITe\SOAP-Lite-1.11\blib\lib D:\download\SOAPLI
Lite-1.11\blib\arch C:/Perl64/site/lib C:/Perl64/lib .) at D:\download\S
SOAP-Lite-1.11\blib\lib/SOAP/Lite.pm line 433.
BEGIN failed--compilation aborted at D:\download\SOAPLITe\SOAP-Lite-1.11
b/SOAP/Lite.pm line 433.
Compilation failed in require at t/19-apachesoap.t line 21.
BEGIN failed--compilation aborted at t/19-apachesoap.t line 21.
t/19-apachesoap.t .............. Dubious, test returned 2 (wstat 512, 0x
No subtests run
t/21-public.t .................. Can't locate Class/Inspector.pm in @INC
ontains: D:\download\SOAPLITe\SOAP-Lite-1.11\blib\lib D:\download\SOAPLI
Lite-1.11\blib\arch C:/Perl64/site/lib C:/Perl64/lib .) at D:\download\S
SOAP-Lite-1.11\blib\lib/SOAP/Lite.pm line 433.
BEGIN failed--compilation aborted at D:\download\SOAPLITe\SOAP-Lite-1.11
b/SOAP/Lite.pm line 433.
Compilation failed in require at t/21-public.t line 21.
BEGIN failed--compilation aborted at t/21-public.t line 21.
t/21-public.t .................. Dubious, test returned 2 (wstat 512, 0x
No subtests run
t/22-interop_apache.t .......... Can't locate Class/Inspector.pm in @INC
ontains: D:\download\SOAPLITe\SOAP-Lite-1.11\blib\lib D:\download\SOAPLI
Lite-1.11\blib\arch C:/Perl64/site/lib C:/Perl64/lib .) at D:\download\S
SOAP-Lite-1.11\blib\lib/SOAP/Lite.pm line 433.
BEGIN failed--compilation aborted at D:\download\SOAPLITe\SOAP-Lite-1.11
b/SOAP/Lite.pm line 433.
Compilation failed in require at t/22-interop_apache.t line 21.
BEGIN failed--compilation aborted at t/22-interop_apache.t line 21.
t/22-interop_apache.t .......... Dubious, test returned 2 (wstat 512, 0x
No subtests run
t/23-ppm.t ..................... skipped: ActiveState's ppmserver.pl ser
s to be broken - skipping tests
t/24-wsdl.t .................... Can't locate Class/Inspector.pm in @INC
ontains: D:\download\SOAPLITe\SOAP-Lite-1.11\blib\lib D:\download\SOAPLI
Lite-1.11\blib\arch C:/Perl64/site/lib C:/Perl64/lib .) at D:\download\S
SOAP-Lite-1.11\blib\lib/SOAP/Lite.pm line 433.
BEGIN failed--compilation aborted at D:\download\SOAPLITe\SOAP-Lite-1.11
b/SOAP/Lite.pm line 433.
Compilation failed in require at t/24-wsdl.t line 21.
BEGIN failed--compilation aborted at t/24-wsdl.t line 21.
t/24-wsdl.t .................... Dubious, test returned 2 (wstat 512, 0x
No subtests run
t/36-leaks.t ................... Can't locate Class/Inspector.pm in @INC
ontains: D:\download\SOAPLITe\SOAP-Lite-1.11\blib\lib D:\download\SOAPLI
Lite-1.11\blib\arch C:/Perl64/site/lib C:/Perl64/lib .) at D:\download\S
SOAP-Lite-1.11\blib\lib/SOAP/Lite.pm line 433.
BEGIN failed--compilation aborted at D:\download\SOAPLITe\SOAP-Lite-1.11
b/SOAP/Lite.pm line 433.
Compilation failed in require at t/36-leaks.t line 16.
BEGIN failed--compilation aborted at t/36-leaks.t line 16.
t/36-leaks.t ................... Dubious, test returned 2 (wstat 512, 0x
No subtests run
t/38-packager.t ................ ok
t/40-loopback.t ................ Can't locate Class/Inspector.pm in @INC
ontains: D:\download\SOAPLITe\SOAP-Lite-1.11\blib\lib D:\download\SOAPLI
Lite-1.11\blib\arch C:/Perl64/site/lib C:/Perl64/lib .) at D:\download\S
SOAP-Lite-1.11\blib\lib/SOAP/Lite.pm line 433.
BEGIN failed--compilation aborted at D:\download\SOAPLITe\SOAP-Lite-1.11
b/SOAP/Lite.pm line 433.
Compilation failed in require at t/40-loopback.t line 4.
BEGIN failed--compilation aborted at t/40-loopback.t line 4.
t/40-loopback.t ................ Dubious, test returned 2 (wstat 512, 0x
No subtests run

Test Summary Report
-------------------
t/01-core.t (Wstat: 512 Tests: 0 Failed: 0)
Non-zero exit status: 2
Parse errors: Bad plan. You planned 42 tests but ran 0.
t/010-serializer.t (Wstat: 512 Tests: 0 Failed: 0)
Non-zero exit status: 2
Parse errors: No plan found in TAP output
t/012-cloneable.t (Wstat: 512 Tests: 0 Failed: 0)
Non-zero exit status: 2
Parse errors: No plan found in TAP output
t/013-array-deserialization.t (Wstat: 512 Tests: 0 Failed: 0)
Non-zero exit status: 2
Parse errors: No plan found in TAP output
t/014_UNIVERSAL_use.t (Wstat: 512 Tests: 0 Failed: 0)
Non-zero exit status: 2
Parse errors: No plan found in TAP output
t/015_UNIVERSAL_can.t (Wstat: 512 Tests: 0 Failed: 0)
Non-zero exit status: 2
Parse errors: No plan found in TAP output
t/02-payload.t (Wstat: 512 Tests: 0 Failed: 0)
Non-zero exit status: 2
Parse errors: Bad plan. You planned 133 tests but ran 0.
t/03-server.t (Wstat: 512 Tests: 0 Failed: 0)
Non-zero exit status: 2
Parse errors: Bad plan. You planned 32 tests but ran 0.
t/04-attach-cid-encoded.t (Wstat: 512 Tests: 0 Failed: 0)
Non-zero exit status: 2
Parse errors: No plan found in TAP output
t/04-attach.t (Wstat: 512 Tests: 0 Failed: 0)
Non-zero exit status: 2
Parse errors: No plan found in TAP output
t/05-customxml.t (Wstat: 512 Tests: 0 Failed: 0)
Non-zero exit status: 2
Parse errors: No plan found in TAP output
t/06-modules.t (Wstat: 1024 Tests: 17 Failed: 4)
Failed tests: 2-3, 6-7
Non-zero exit status: 4
t/08-schema.t (Wstat: 512 Tests: 0 Failed: 0)
Non-zero exit status: 2
Parse errors: Bad plan. You planned 47 tests but ran 0.
t/11-cgi.t (Wstat: 512 Tests: 0 Failed: 0)
Non-zero exit status: 2
Parse errors: No plan found in TAP output
t/12-cgi_https.t (Wstat: 512 Tests: 0 Failed: 0)
Non-zero exit status: 2
Parse errors: No plan found in TAP output
t/13-mod_perl.t (Wstat: 512 Tests: 0 Failed: 0)
Non-zero exit status: 2
Parse errors: No plan found in TAP output
t/14-cgi_apache.t (Wstat: 512 Tests: 0 Failed: 0)
Non-zero exit status: 2
Parse errors: No plan found in TAP output
t/15-daemon.t (Wstat: 512 Tests: 0 Failed: 0)
Non-zero exit status: 2
Parse errors: No plan found in TAP output
t/17-mod_soap.t (Wstat: 512 Tests: 0 Failed: 0)
Non-zero exit status: 2
Parse errors: No plan found in TAP output
t/19-apachesoap.t (Wstat: 512 Tests: 0 Failed: 0)
Non-zero exit status: 2
Parse errors: No plan found in TAP output
t/21-public.t (Wstat: 512 Tests: 0 Failed: 0)
Non-zero exit status: 2
Parse errors: No plan found in TAP output
t/22-interop_apache.t (Wstat: 512 Tests: 0 Failed: 0)
Non-zero exit status: 2
Parse errors: No plan found in TAP output
t/24-wsdl.t (Wstat: 512 Tests: 0 Failed: 0)
Non-zero exit status: 2
Parse errors: No plan found in TAP output
t/36-leaks.t (Wstat: 512 Tests: 0 Failed: 0)
Non-zero exit status: 2
Parse errors: No plan found in TAP output
t/40-loopback.t (Wstat: 512 Tests: 0 Failed: 0)
Non-zero exit status: 2
Parse errors: No plan found in TAP output
Files=31, Tests=22, 2 wallclock secs ( 0.11 usr + 0.13 sys = 0.23 CPU
Result: FAIL
Failed 25/31 test programs. 4/22 subtests failed.
NMAKE : fatal error U1077: 'C:\Perl64\bin\perl.exe' : return code '0x2'
Stop.

D:\download\SOAPLITe\SOAP-Lite-1.11>make install
'make' is not recognized as an internal or external command,
operable program or batch file.

D:\download\SOAPLITe\SOAP-Lite-1.11>nmake install

Microsoft (R) Program Maintenance Utility Version 6.00.8168.0
Copyright (C) Microsoft Corp 1988-1998. All rights reserved.

Installing C:\Perl64\html\bin\SOAPsh.html
Installing C:\Perl64\html\bin\stubmaker.html
Installing C:\Perl64\html\site\lib\Apache\SOAP.html
Installing C:\Perl64\html\site\lib\SOAP\Client.html
Installing C:\Perl64\html\site\lib\SOAP\Constants.html
Installing C:\Perl64\html\site\lib\SOAP\Data.html
Installing C:\Perl64\html\site\lib\SOAP\Deserializer.html
Installing C:\Perl64\html\site\lib\SOAP\Fault.html
Installing C:\Perl64\html\site\lib\SOAP\Header.html
Installing C:\Perl64\html\site\lib\SOAP\Lite.html
Installing C:\Perl64\html\site\lib\SOAP\Packager.html
Installing C:\Perl64\html\site\lib\SOAP\Schema.html
Installing C:\Perl64\html\site\lib\SOAP\Serializer.html
Installing C:\Perl64\html\site\lib\SOAP\Server.html
Installing C:\Perl64\html\site\lib\SOAP\SOM.html
Installing C:\Perl64\html\site\lib\SOAP\Test.html
Installing C:\Perl64\html\site\lib\SOAP\Trace.html
Installing C:\Perl64\html\site\lib\SOAP\Transport.html
Installing C:\Perl64\html\site\lib\SOAP\Utils.html
Installing C:\Perl64\html\site\lib\SOAP\Lite\Packager.html
Installing C:\Perl64\html\site\lib\SOAP\Transport\LOOPBACK.html
Installing C:\Perl64\html\site\lib\SOAP\Transport\POP3.html
Installing C:\Perl64\html\site\lib\SOAP\Transport\TCP.html
Installing C:\Perl64\site\lib\Apache\SOAP.pm
Installing C:\Perl64\site\lib\SOAP\Client.pod
Installing C:\Perl64\site\lib\SOAP\Constants.pm
Installing C:\Perl64\site\lib\SOAP\Data.pod
Installing C:\Perl64\site\lib\SOAP\Deserializer.pod
Installing C:\Perl64\site\lib\SOAP\Fault.pod
Installing C:\Perl64\site\lib\SOAP\Header.pod
Installing C:\Perl64\site\lib\SOAP\Lite.pm
Installing C:\Perl64\site\lib\SOAP\Packager.pm
Installing C:\Perl64\site\lib\SOAP\Schema.pod
Installing C:\Perl64\site\lib\SOAP\Serializer.pod
Installing C:\Perl64\site\lib\SOAP\Server.pod
Installing C:\Perl64\site\lib\SOAP\SOM.pod
Installing C:\Perl64\site\lib\SOAP\Test.pm
Installing C:\Perl64\site\lib\SOAP\Trace.pod
Installing C:\Perl64\site\lib\SOAP\Transport.pod
Installing C:\Perl64\site\lib\SOAP\Utils.pod
Installing C:\Perl64\site\lib\SOAP\Lite\Packager.pm
Installing C:\Perl64\site\lib\SOAP\Lite\Utils.pm
Installing C:\Perl64\site\lib\SOAP\Lite\Deserializer\XMLSchema1999.pm
Installing C:\Perl64\site\lib\SOAP\Lite\Deserializer\XMLSchema2001.pm
Installing C:\Perl64\site\lib\SOAP\Lite\Deserializer\XMLSchemaSOAP1_1.pm
Installing C:\Perl64\site\lib\SOAP\Lite\Deserializer\XMLSchemaSOAP1_2.pm
Installing C:\Perl64\site\lib\SOAP\Transport\HTTP.pm
Installing C:\Perl64\site\lib\SOAP\Transport\IO.pm
Installing C:\Perl64\site\lib\SOAP\Transport\LOCAL.pm
Installing C:\Perl64\site\lib\SOAP\Transport\LOOPBACK.pm
Installing C:\Perl64\site\lib\SOAP\Transport\MAILTO.pm
Installing C:\Perl64\site\lib\SOAP\Transport\POP3.pm
Installing C:\Perl64\site\lib\SOAP\Transport\TCP.pm
Installing C:\Perl64\site\bin\SOAPsh.bat
Installing C:\Perl64\site\bin\SOAPsh.pl
Installing C:\Perl64\site\bin\stubmaker.bat
Installing C:\Perl64\site\bin\stubmaker.pl
Appending installation info to C:\Perl64\lib/perllocal.pod

D:\download\SOAPLITe\SOAP-Lite-1.11>cd ..


Some body please guide me how to install Soap::Lite.

I am following the commands provided at a web site:


Quote
Windows Users
http://search.cpan.org/dist/SOAP-Lite/

Windows users should use 'nmake' instead of make. For example:
perl Makefile.PL
nmake
nmake test
nmake install


Zulfi.


FishMonger
Veteran / Moderator

Aug 28, 2014, 12:17 PM

Post #2 of 19 (4593 views)
Re: [zak100] Soap::Lite not installed [In reply to] Can't Post

You're most likely missing some dependencies. Use the cpan tool to install modules. It will automatically install missing dependency modules.

c:\>cpan install Soap::Lite

However, it will still most likely fail on Windows due to one or more of its dependencies which don't work on Windows or at least are very difficult to install such as is the case with the LWP::UserAgent dependency.
http://deps.cpantesters.org/?module=SOAP%3A%3ALite&perl=5.20.0&os=Windows+%28Win32%29


(This post was edited by FishMonger on Aug 28, 2014, 12:17 PM)


zak100
User

Aug 29, 2014, 10:43 AM

Post #3 of 19 (4574 views)
Re: [FishMonger] Soap::Lite not installed [In reply to] Can't Post

Hi,
I tried, I got following:

Code
C:\Users\HP>cpan install Soap::Lite 
CPAN: Term::ANSIColor loaded ok (v4.02)
CPAN: Storable loaded ok (v2.34)
Reading 'C:\Perl64\cpan\Metadata'
Database was generated on Sun, 13 Oct 2013 12:53:03 GMT
CPAN: LWP::UserAgent loaded ok (v6.04)
CPAN: Time::HiRes loaded ok (v1.9725)
Fetching with LWP:
http://ppm.activestate.com/CPAN/authors/01mailrc.txt.gz
CPAN: YAML::XS loaded ok (v0.39)
Reading 'C:\Perl64\cpan\sources\authors\01mailrc.txt.gz'
CPAN: Compress::Zlib loaded ok (v2.06)
............................................................................DONE

Fetching with LWP:
http://ppm.activestate.com/CPAN/modules/02packages.details.txt.gz
Reading 'C:\Perl64\cpan\sources\modules\02packages.details.txt.gz'
Database was generated on Fri, 29 Aug 2014 09:41:02 GMT
..............
New CPAN.pm version (v2.05) available.
[Currently running version is v1.9800]
You might want to try
install CPAN
reload cpan
to both upgrade CPAN.pm and run the new version without leaving
the current session.


..............................................................DONE
Fetching with LWP:
http://ppm.activestate.com/CPAN/modules/03modlist.data.gz
Reading 'C:\Perl64\cpan\sources\modules\03modlist.data.gz'
DONE
Writing C:\Perl64\cpan\Metadata
Warning: Cannot install Soap::Lite, don't know what it is.
Try the command

i /Soap::Lite/

to find objects with matching identifiers.

C:\Users\HP>i /Soap::Lite
'i' is not recognized as an internal or external command,
operable program or batch file.

C:\Users\HP>i /Soap::Lite/
'i' is not recognized as an internal or external command,
operable program or batch file.

C:\Users\HP>/Soap::Lite/
'/Soap::Lite/' is not recognized as an internal or external command,
operable program or batch file.

C:\Users\HP>CPAN install /Soap::Lite/
CPAN: Term::ANSIColor loaded ok (v4.02)
CPAN: Storable loaded ok (v2.34)
Reading 'C:\Perl64\cpan\Metadata'
Database was generated on Fri, 29 Aug 2014 09:41:02 GMT
Sorry, install with a regular expression is only supported when unambiguous.
Rejecting argument '/Soap::Lite/'
CPAN: Time::HiRes loaded ok (v1.9725)

C:\Users\HP>

Is it installed?
I tried to compile my program.

Code
D:\Zulfi\PERL MAIN FOLDER\soaplite>type num2name.pl 
#!C:/Perl64/bin/perl.exe
use strict;
use SOAP::Lite;

my $num = shift;
$num =~ /^\d+$/ or die "USAGE: $0 num\n";

my($server, $endpoint, $soapaction, $method, $method_urn);
$endpoint = "$server/scripts/NumToWords.dll/soap/INumToWords";

$soapaction = "urn:NumToWordsIntf-INumToWords#NumToWords_English";
$method = 'NumToWords_English';
$method_urn = 'urn:NumToWordsIntf-INumToWords';

my $num2words = SOAP::Lite->new(uri => $soapaction,
proxy => $endpoint);

my $response = $num2words->call(SOAP::Data->name($method)
->attr({ xmlns => $method_urn })
=> # Argument(s) listed next
SOAP::Data->name(aNumber => $num));


if ($response->fault) {
print "A fault (%s) occurred: %s\n",
$response->faultcode, $response->faultstrings;
}else {
print "Snum may be expressed as " . $response->result . "\n";
}
exit;
D:\Zulfi\PERL MAIN FOLDER\soaplite>

I got following errors:


Code
 
D:\Zulfi\PERL MAIN FOLDER\soaplite>perl num2name.pl
Can't locate Class/Inspector.pm in @INC (@INC contains: C:/Perl64/site/lib C:/Pe
rl64/lib .) at C:/Perl64/site/lib/SOAP/Lite.pm line 433.
BEGIN failed--compilation aborted at C:/Perl64/site/lib/SOAP/Lite.pm line 433.
Compilation failed in require at num2name.pl line 3.
BEGIN failed--compilation aborted at num2name.pl line 3.


Somebody plz guide me.
Zulfi.


(This post was edited by zak100 on Aug 29, 2014, 10:45 AM)


FishMonger
Veteran / Moderator

Aug 29, 2014, 1:10 PM

Post #4 of 19 (4564 views)
Re: [zak100] Soap::Lite not installed [In reply to] Can't Post

None of the Soap::Lite install attempts you posted were successful, but maybe one of the ones you didn't post was at least partially successful.

It looks like it's getting hung up on loading the Class::Inspector module. Have you tried installing that module?


zak100
User

Sep 11, 2014, 5:33 AM

Post #5 of 19 (4389 views)
Re: [FishMonger] Soap::Lite not installed [In reply to] Can't Post

Hi,
It installed Class::Inspector module.

Code
C:\Users\HP>cpan install Class::Inspector 
CPAN: Term::ANSIColor loaded ok (v4.02)
CPAN: Storable loaded ok (v2.34)
Reading 'C:\Perl64\cpan\Metadata'
Database was generated on Fri, 29 Aug 2014 09:41:02 GMT
CPAN: LWP::UserAgent loaded ok (v6.04)
CPAN: Time::HiRes loaded ok (v1.9725)
Fetching with LWP:
http://ppm.activestate.com/CPAN/authors/01mailrc.txt.gz
CPAN: YAML::XS loaded ok (v0.39)
Reading 'C:\Perl64\cpan\sources\authors\01mailrc.txt.gz'
CPAN: Compress::Zlib loaded ok (v2.06)
............................................................................DO

Fetching with LWP:
http://ppm.activestate.com/CPAN/modules/02packages.details.txt.gz
Reading 'C:\Perl64\cpan\sources\modules\02packages.details.txt.gz'
Database was generated on Thu, 11 Sep 2014 09:29:02 GMT
..............
New CPAN.pm version (v2.05) available.
[Currently running version is v1.9800]
You might want to try
install CPAN
reload cpan
to both upgrade CPAN.pm and run the new version without leaving
the current session.


..............................................................DONE
Fetching with LWP:
http://ppm.activestate.com/CPAN/modules/03modlist.data.gz
Reading 'C:\Perl64\cpan\sources\modules\03modlist.data.gz'
DONE
Writing C:\Perl64\cpan\Metadata
Running install for module 'Class::Inspector'
Running make for A/AD/ADAMK/Class-Inspector-1.28.tar.gz
Fetching with LWP:
http://ppm.activestate.com/CPAN/authors/id/A/AD/ADAMK/Class-Inspector-1.28.tar
z
CPAN: Digest::SHA loaded ok (v5.84)
Fetching with LWP:
http://ppm.activestate.com/CPAN/authors/id/A/AD/ADAMK/CHECKSUMS
Checksum for C:\Perl64\cpan\sources\authors\id\A\AD\ADAMK\Class-Inspector-1.28
ar.gz ok
CPAN: Archive::Tar loaded ok (v1.90)
Class-Inspector-1.28/
Class-Inspector-1.28/README
Class-Inspector-1.28/Makefile.PL
Class-Inspector-1.28/LICENSE
Class-Inspector-1.28/xt/
Class-Inspector-1.28/xt/meta.t
Class-Inspector-1.28/xt/pmv.t
Class-Inspector-1.28/xt/pod.t
Class-Inspector-1.28/META.yml
Class-Inspector-1.28/t/
Class-Inspector-1.28/t/01_compile.t
Class-Inspector-1.28/t/02_main.t
Class-Inspector-1.28/t/03_inc_to_local.t
Class-Inspector-1.28/t/04_main_functions.t
Class-Inspector-1.28/MANIFEST
Class-Inspector-1.28/MYMETA.json
Class-Inspector-1.28/Changes
Class-Inspector-1.28/inc/
Class-Inspector-1.28/inc/Module/
Class-Inspector-1.28/inc/Module/Install/
Class-Inspector-1.28/inc/Module/Install/DSL.pm
Class-Inspector-1.28/inc/Module/Install/Win32.pm
Class-Inspector-1.28/inc/Module/Install/WriteAll.pm
Class-Inspector-1.28/inc/Module/Install/Can.pm
Class-Inspector-1.28/inc/Module/Install/Metadata.pm
Class-Inspector-1.28/inc/Module/Install/Base.pm
Class-Inspector-1.28/inc/Module/Install/Makefile.pm
Class-Inspector-1.28/inc/Module/Install/Fetch.pm
Class-Inspector-1.28/inc/Module/Install.pm
Class-Inspector-1.28/lib/
Class-Inspector-1.28/lib/Class/
Class-Inspector-1.28/lib/Class/Inspector/
Class-Inspector-1.28/lib/Class/Inspector/Functions.pm
Class-Inspector-1.28/lib/Class/Inspector.pm
CPAN: File::Temp loaded ok (v0.22)
CPAN: Parse::CPAN::Meta loaded ok (v1.4404)
CPAN: CPAN::Meta loaded ok (v2.120921)
CPAN: Module::CoreList loaded ok (v2.80)

CPAN.pm: Building A/AD/ADAMK/Class-Inspector-1.28.tar.gz

Checking if your kit is complete...
Looks good
Writing Makefile for Class::Inspector
Writing MYMETA.yml and MYMETA.json

Microsoft (R) Program Maintenance Utility Version 6.00.8168.0
Copyright (C) Microsoft Corp 1988-1998. All rights reserved.

cp lib/Class/Inspector.pm blib\lib\Class\Inspector.pm
cp lib/Class/Inspector/Functions.pm blib\lib\Class\Inspector\Functions.pm
ADAMK/Class-Inspector-1.28.tar.gz
C:\PROGRA~2\MIB055~1\VC98\bin\nmake.exe -- OK
Running make test

Microsoft (R) Program Maintenance Utility Version 6.00.8168.0
Copyright (C) Microsoft Corp 1988-1998. All rights reserved.

C:\Perl64\bin\perl.exe "-MExtUtils::Command::MM" "-e" "test_harness(0,
inc', 'blib\lib', 'blib\arch')" t/*.t
t/01_compile.t ......... ok
t/02_main.t ............ ok
t/03_inc_to_local.t .... ok
t/04_main_functions.t .. ok
All tests successful.
Files=4, Tests=79, 0 wallclock secs ( 0.08 usr + 0.05 sys = 0.13 CPU)
Result: PASS
ADAMK/Class-Inspector-1.28.tar.gz
C:\PROGRA~2\MIB055~1\VC98\bin\nmake.exe test -- OK
Running make install
Prepending C:\Perl64\cpan\build\Class-Inspector-1.28-k5YGTE/blib/arch C:\Perl6
cpan\build\Class-Inspector-1.28-k5YGTE/blib/lib to PERL5LIB for 'install'

Microsoft (R) Program Maintenance Utility Version 6.00.8168.0
Copyright (C) Microsoft Corp 1988-1998. All rights reserved.

Installing C:\Perl64\html\site\lib\Class\Inspector.html
Installing C:\Perl64\html\site\lib\Class\Inspector\Functions.html
Installing C:\Perl64\site\lib\Class\Inspector.pm
Installing C:\Perl64\site\lib\Class\Inspector\Functions.pm
Appending installation info to C:\Perl64\lib/perllocal.pod
ADAMK/Class-Inspector-1.28.tar.gz
C:\PROGRA~2\MIB055~1\VC98\bin\nmake.exe install -- OK


But its still giving problem in installing soap::lite.


Code
C:\Users\HP>cpan install Soap::Lite 
CPAN: Term::ANSIColor loaded ok (v4.02)
CPAN: Storable loaded ok (v2.34)
Reading 'C:\Perl64\cpan\Metadata'
Database was generated on Thu, 11 Sep 2014 09:29:02 GMT
Warning: Cannot install Soap::Lite, don't know what it is.
Try the command

i /Soap::Lite/

to find objects with matching identifiers.
CPAN: Time::HiRes loaded ok (v1.9725)

C:\Users\HP>


Please guide me.

Zulfi.


FishMonger
Veteran / Moderator

Sep 11, 2014, 7:10 AM

Post #6 of 19 (4386 views)
Re: [zak100] Soap::Lite not installed [In reply to] Can't Post

It appears that the module isn't properly indexed in cpan. I get the same error when attempting to install it on either Windows or Linux system.

Do you have the PPM utility installed? If not, then install it via cpan and use it to install Soap::Lite instead of cpan.

The module is in the Bribes repository http://www.bribes.org/perl/ppmdir.html so to install it via ppm, the command would be:

Code
ppm install http://www.bribes.org/perl/ppm/SOAP-Lite.ppd


For example:

Quote
c:\>ppm install http://www.bribes.org/perl/ppm/SOAP-Lite.ppd
Installing package 'http://www.bribes.org/perl/ppm/SOAP-Lite.ppd'...
Bytes transferred: 110335
Use of chdir('') or chdir(undef) as chdir() is deprecated at G:/perl/perl/vendor/lib/PPM.pm line 393.
Installing G:\perl\perl\site\lib\Apache\SOAP.pm
Installing G:\perl\perl\site\lib\SOAP\Client.pod
Installing G:\perl\perl\site\lib\SOAP\Constants.pm
Installing G:\perl\perl\site\lib\SOAP\Data.pod
Installing G:\perl\perl\site\lib\SOAP\Deserializer.pod
Installing G:\perl\perl\site\lib\SOAP\Fault.pod
Installing G:\perl\perl\site\lib\SOAP\Header.pod
Installing G:\perl\perl\site\lib\SOAP\Lite.pm
Installing G:\perl\perl\site\lib\SOAP\Packager.pm
Installing G:\perl\perl\site\lib\SOAP\Schema.pod
Installing G:\perl\perl\site\lib\SOAP\Serializer.pod
Installing G:\perl\perl\site\lib\SOAP\Server.pod
Installing G:\perl\perl\site\lib\SOAP\SOM.pod
Installing G:\perl\perl\site\lib\SOAP\Test.pm
Installing G:\perl\perl\site\lib\SOAP\Trace.pod
Installing G:\perl\perl\site\lib\SOAP\Transport.pod
Installing G:\perl\perl\site\lib\SOAP\Utils.pod
Installing G:\perl\perl\site\lib\SOAP\Lite\Packager.pm
Installing G:\perl\perl\site\lib\SOAP\Lite\Utils.pm
Installing G:\perl\perl\site\lib\SOAP\Lite\Deserializer\XMLSchema1999.pm
Installing G:\perl\perl\site\lib\SOAP\Lite\Deserializer\XMLSchema2001.pm
Installing G:\perl\perl\site\lib\SOAP\Lite\Deserializer\XMLSchemaSOAP1_1.pm
Installing G:\perl\perl\site\lib\SOAP\Lite\Deserializer\XMLSchemaSOAP1_2.pm
Installing G:\perl\perl\site\lib\SOAP\Transport\HTTP.pm
Installing G:\perl\perl\site\lib\SOAP\Transport\IO.pm
Installing G:\perl\perl\site\lib\SOAP\Transport\LOCAL.pm
Installing G:\perl\perl\site\lib\SOAP\Transport\LOOPBACK.pm
Installing G:\perl\perl\site\lib\SOAP\Transport\MAILTO.pm
Installing G:\perl\perl\site\lib\SOAP\Transport\POP3.pm
Installing G:\perl\perl\site\lib\SOAP\Transport\TCP.pm
Installing G:\perl\perl\bin\SOAPsh.pl
Installing G:\perl\perl\bin\stubmaker.pl



zak100
User

Sep 11, 2014, 9:09 AM

Post #7 of 19 (4383 views)
Re: [FishMonger] Soap::Lite not installed [In reply to] Can't Post

Hi,
I dont know how to install ppm using cpan. I tried following but its not working. Kindly guide me.

Code
C:\Users\HP>cpan install ppm 
CPAN: Term::ANSIColor loaded ok (v4.02)
CPAN: Storable loaded ok (v2.34)
Reading 'C:\Perl64\cpan\Metadata'
Database was generated on Thu, 11 Sep 2014 09:29:02 GMT
Don't be silly, you can't install Partha Pratim Mukherjee ;-)
CPAN: Time::HiRes loaded ok (v1.9725)

C:\Users\HP>ppm install http://www.bribes.org/perl/ppm/SOAP-Lite.ppd
ppm install failed: The PPD does not provide code to install for this platform

C:\Users\HP>



FishMonger
Veteran / Moderator

Sep 11, 2014, 9:28 AM

Post #8 of 19 (4381 views)
Re: [zak100] Soap::Lite not installed [In reply to] Can't Post

Perl is case sensitive. The module is all uppercase.

PPM may already be installed. Try this:

Quote
c:\>perl -MPPM -e "print 'PPM is installed'"
PPM is installed


If you receive an error message, then the module will need to be installed.

Quote
cpan install PPM



FishMonger
Veteran / Moderator

Sep 11, 2014, 9:32 AM

Post #9 of 19 (4380 views)
Re: [zak100] Soap::Lite not installed [In reply to] Can't Post

Since you're running 64bit perl, you may not be able to install of these modules.


zak100
User

Sep 11, 2014, 9:54 AM

Post #10 of 19 (4377 views)
Re: [FishMonger] Soap::Lite not installed [In reply to] Can't Post

Hi,
Thanks it installed PPM but soapLite installation didnt work.

Code
C:\Users\HP>perl -MPPM -e "print 'PPM is installed'" 
Can't locate PPM.pm in @INC (@INC contains: C:/Perl64/site/lib C:/Perl64/lib .).

BEGIN failed--compilation aborted.

C:\Users\HP>cpan install PPM
CPAN: Term::ANSIColor loaded ok (v4.02)
CPAN: Storable loaded ok (v2.34)
Reading 'C:\Perl64\cpan\Metadata'
Database was generated on Thu, 11 Sep 2014 09:29:02 GMT
Running install for module 'PPM'
Running make for M/MU/MURRAY/PPM-2.1.9.tar.gz
CPAN: LWP::UserAgent loaded ok (v6.04)
CPAN: Time::HiRes loaded ok (v1.9725)
Fetching with LWP:
http://ppm.activestate.com/CPAN/authors/id/M/MU/MURRAY/PPM-2.1.9.tar.gz
CPAN: YAML::XS loaded ok (v0.39)
CPAN: Digest::SHA loaded ok (v5.84)
Fetching with LWP:
http://ppm.activestate.com/CPAN/authors/id/M/MU/MURRAY/CHECKSUMS
CPAN: Compress::Zlib loaded ok (v2.06)
Checksum for C:\Perl64\cpan\sources\authors\id\M\MU\MURRAY\PPM-2.1.9.tar.gz ok
CPAN: Archive::Tar loaded ok (v1.90)
PPM-2.1.9
PPM-2.1.9/bin
PPM-2.1.9/bin/ppm.pl
PPM-2.1.9/Changes
PPM-2.1.9/docs
PPM-2.1.9/docs/Changes
PPM-2.1.9/docs/ppd.pod
PPM-2.1.9/docs/ppm-desc2.txt
PPM-2.1.9/docs/ppm.doc
PPM-2.1.9/dtd
PPM-2.1.9/dtd/PPD.dtd
PPM-2.1.9/dtd/PPMConfig.dtd
PPM-2.1.9/dtd/RepositorySummary.dtd
PPM-2.1.9/install.ppm
PPM-2.1.9/lib
PPM-2.1.9/lib/PPM
PPM-2.1.9/lib/PPM/RelocPerl.pm
PPM-2.1.9/lib/PPM/XML
PPM-2.1.9/lib/PPM/XML/Element.pm
PPM-2.1.9/lib/PPM/XML/PPD.pm
PPM-2.1.9/lib/PPM/XML/PPMConfig.pm
PPM-2.1.9/lib/PPM/XML/RepositorySummary.pm
PPM-2.1.9/lib/PPM/XML/ValidatingElement.pm
PPM-2.1.9/lib/PPM.pm
PPM-2.1.9/Makefile.PL
PPM-2.1.9/MANIFEST
PPM-2.1.9/ppm.xml
PPM-2.1.9/README
PPM-2.1.9/server
PPM-2.1.9/server/ppmserver.pl
PPM-2.1.9/server/PPMServer.pm
PPM-2.1.9/utils
PPM-2.1.9/utils/mergePPDs.pl
PPM-2.1.9/utils/searchsummary.pl
PPM-2.1.9/utils/summary.pl
CPAN: File::Temp loaded ok (v0.22)
CPAN: CPAN::Meta loaded ok (v2.120921)

CPAN.pm: Building M/MU/MURRAY/PPM-2.1.9.tar.gz

Checking if your kit is complete...
Looks good
Writing Makefile for PPM
Writing MYMETA.yml and MYMETA.json
CPAN: Module::CoreList loaded ok (v2.80)

Microsoft (R) Program Maintenance Utility Version 6.00.8168.0
Copyright (C) Microsoft Corp 1988-1998. All rights reserved.

cp lib/PPM/XML/ValidatingElement.pm blib\lib\PPM\XML\ValidatingElement.pm
cp lib/PPM/XML/PPMConfig.pm blib\lib\PPM\XML\PPMConfig.pm
cp lib/PPM/XML/RepositorySummary.pm blib\lib\PPM\XML\RepositorySummary.pm
cp lib/PPM/RelocPerl.pm blib\lib\PPM\RelocPerl.pm
cp lib/PPM.pm blib\lib\PPM.pm
cp lib/PPM/XML/Element.pm blib\lib\PPM\XML\Element.pm
cp lib/PPM/XML/PPD.pm blib\lib\PPM\XML\PPD.pm
C:\Perl64\bin\perl.exe -MExtUtils::Command -e cp -- bin/ppm.pl blib\scri
pt\ppm.pl
pl2bat.bat blib\script\ppm.pl
copy ppm.xml blib\lib
1 file(s) copied.
MURRAY/PPM-2.1.9.tar.gz
C:\PROGRA~2\MIB055~1\VC98\bin\nmake.exe -- OK
Running make test

Microsoft (R) Program Maintenance Utility Version 6.00.8168.0
Copyright (C) Microsoft Corp 1988-1998. All rights reserved.

'No tests defined for PPM extension.'
MURRAY/PPM-2.1.9.tar.gz
C:\PROGRA~2\MIB055~1\VC98\bin\nmake.exe test -- OK
Running make install
Prepending C:\Perl64\cpan\build\PPM-2.1.9-onXjlQ/blib/arch C:\Perl64\cpan\build\
PPM-2.1.9-onXjlQ/blib/lib to PERL5LIB for 'install'

Microsoft (R) Program Maintenance Utility Version 6.00.8168.0
Copyright (C) Microsoft Corp 1988-1998. All rights reserved.

copy ppm.xml blib\lib
1 file(s) copied.
Installing C:\Perl64\html\bin\ppm.html
Installing C:\Perl64\html\site\lib\PPM.html
Installing C:\Perl64\html\site\lib\PPM\XML\Element.html
Installing C:\Perl64\html\site\lib\PPM\XML\PPD.html
Installing C:\Perl64\html\site\lib\PPM\XML\PPMConfig.html
Installing C:\Perl64\html\site\lib\PPM\XML\ValidatingElement.html
Installing C:\Perl64\site\lib\PPM.pm
Installing C:\Perl64\site\lib\ppm.xml
Installing C:\Perl64\site\lib\PPM\RelocPerl.pm
Installing C:\Perl64\site\lib\PPM\XML\Element.pm
Installing C:\Perl64\site\lib\PPM\XML\PPD.pm
Installing C:\Perl64\site\lib\PPM\XML\PPMConfig.pm
Installing C:\Perl64\site\lib\PPM\XML\RepositorySummary.pm
Installing C:\Perl64\site\lib\PPM\XML\ValidatingElement.pm
Installing C:\Perl64\site\bin\ppm.bat
Installing C:\Perl64\site\bin\ppm.pl
Appending installation info to C:\Perl64\lib/perllocal.pod
MURRAY/PPM-2.1.9.tar.gz
C:\PROGRA~2\MIB055~1\VC98\bin\nmake.exe install -- OK


But SOAP-Lite didnt install.


Code
 
C:\Users\HP>ppm install http://www.bribes.org/perl/ppm/SOAP-Lite.ppd
Installing package 'http://www.bribes.org/perl/ppm/SOAP-Lite.ppd'...
Error installing package 'http://www.bribes.org/perl/ppm/SOAP-Lite.ppd': Read a
PPD for 'http://www.bribes.org/perl/ppm/SOAP-Lite.ppd', but it is not intended f
or this build of Perl (MSWin32-x64-multi-thread-5.16)

C:\Users\HP>


Actually i didnt find any SOAP-Lite.ppd at the URL:
http://www.bribes.org/perl/ppm/

Kindly guide me.

Zulfi.


FishMonger
Veteran / Moderator

Sep 11, 2014, 10:17 AM

Post #11 of 19 (4372 views)
Re: [zak100] Soap::Lite not installed [In reply to] Can't Post

The repository I pointed you to is for 32 bit perl modules.

The 64 bit modules at Bribes is at http://www.bribes.org/perl/ppm64dir.html however he doesn't have a 64 bit Soap::Lite.

It's doubtful that there is a Windows 64 bit version available, but you could contact one of the authors and see what they say. Their email addresses are at the bottom of the cpan doc.


zak100
User

Sep 11, 2014, 10:51 AM

Post #12 of 19 (4367 views)
Re: [FishMonger] Soap::Lite not installed [In reply to] Can't Post

Hi,
I found some 64-bit perl soap lite modules at:

http://rpm.pbone.net/index.php3/stat/3/srodzaj/1/search/perl(SOAP%3A%3ALite)
For example:Fedora Other

download.fedora.redhat.com/pub/fedora/linux/development/21/x86_64/os/Packages/p/perl-SOAP-Lite-1.11-2.fc21.noarch.rpm

Is it something related to what we are doing?

Zulfi.


zak100
User

Sep 11, 2014, 11:02 AM

Post #13 of 19 (4365 views)
Re: [zak100] Soap::Lite not installed [In reply to] Can't Post

Hi,
I tried using ppm. I got following message:

Code
 
C:\Users\HP>ppm install SOAP-Lite
Version 0.46 of 'SOAP-Lite' is already installed.
Remove it, or use 'verify --upgrade SOAP-Lite'.

C:\Users\HP>


I got same information at:

http://books.gigatux.nl/mirror/googlehacks/0596008570/googlehks2-CHP-9-SECT-10.html

Please guide me.

Zulfi.


(This post was edited by zak100 on Sep 11, 2014, 11:06 AM)


FishMonger
Veteran / Moderator

Sep 11, 2014, 11:40 AM

Post #14 of 19 (4363 views)
Re: [zak100] Soap::Lite not installed [In reply to] Can't Post

Version 0.46 is very old and most likely is the 32 bit version. The current version on cpan is 1.11

Have you tried doing the upgrade as the message suggests?

If that fails you could either try working with the old version you already have installed, or contact the authors as I suggested.


zak100
User

Sep 16, 2014, 10:49 AM

Post #15 of 19 (3769 views)
Re: [FishMonger] Soap::Lite not installed [In reply to] Can't Post

Hi,
Thanks for your help. Right now i have installed it on Fedora 20.

Code
[root@localhost lab6]# yum install perl-SOAP-Lite


I am still looking for solution related to Windows. I would follow yourself.

Zulfi.


zak100
User

Oct 15, 2014, 10:55 AM

Post #16 of 19 (1286 views)
Re: [zak100] Soap::Lite not installed [In reply to] Can't Post

Hi,
I tried and Actistate link:
http://code.activestate.com/lists/ppm/655/

It provided some commands but they are also not working:

Code
ppm search SOAP::Lite 
ppm describe 1
ppm install --nodeps 1

ppm install FCGI
...

You'll have to manually install an dependency displayed by `ppm des 1`
(ignoring Apache, off course) because you asked to install SOAP::Lite
without them.


Some body please guide me with installing SOAP::Lite for windows 7.

Zulfi.


zak100
User

Oct 15, 2014, 11:06 AM

Post #17 of 19 (1283 views)
Re: [zak100] Soap::Lite not installed [In reply to] Can't Post

Hi,
I tried again:

Code
C:\>ppm 
PPM interactive shell (2.1.6) - type 'help' for available commands.
PPM> ppm3
Unknown or ambiguous command 'ppm3'; type 'help' for commands.
PPM> trre SOAP-lite
Unknown or ambiguous command 'trre'; type 'help' for commands.
PPM> tree SOAP-lite
Unknown or ambiguous command 'tree'; type 'help' for commands.
PPM> tree
Unknown or ambiguous command 'tree'; type 'help' for commands.
PPM> help
Commands:
exit - leave the program.
help [command] - prints this screen, or help on 'command'.
install PACKAGES - installs specified PACKAGES.
quit - leave the program.
query [options] - query information about installed packages.
remove PACKAGES - removes the specified PACKAGES from the system.
search [options] - search information about available packages.
set [options] - set/display current options.
verify [options] - verifies current install is up to date.
version - displays PPM version number

PPM> search SOAP::Lite
PPM> describe 1
Unknown or ambiguous command 'describe'; type 'help' for commands.
PPM> install SOAP::Lite
Version 0.46 of 'SOAP-Lite' is already installed.
Remove it, or use 'verify --upgrade SOAP-Lite'.
PPM> verify --upgrade SOAP-Lite
Upgrade package 'SOAP-Lite'? (y/N): y
Package 'SOAP-Lite' is up to date.
PPM>


I dont know if its correct or not.

Zulfi.


shah302
New User

Oct 17, 2014, 11:12 PM

Post #18 of 19 (860 views)
installed [In reply to] Can't Post

t.pm line 42.
Compilation failed in require at t/13-mod_perl.t line 10.
BEGIN failed--compilation aborted at t/13-mod_perl.t line 10.




______
aasfffff1[cool]


zak100
User

Oct 18, 2014, 11:08 AM

Post #19 of 19 (788 views)
Re: [shah302] installed [In reply to] Can't Post

Hi,
I cant understand what are saying. Is it related to my problem. In the mean time i tried to execute a cpan example of soap lite. Its working. The code is:

Code
use SOAP::Lite; 
print SOAP::Lite
->uri ('http://www.soaplite.com/Temperatures')
->proxy('http://services.soaplite.com/temper.cgi')
->f2c (212)
->result;

Thanks everybody for cooperation.

Zulfi.

 
 


Search for (options) Powered by Gossamer Forum v.1.2.0

Web Applications & Managed Hosting Powered by Gossamer Threads
Visit our Mailing List Archives